import fuelList from "#components/Ausweis/brennstoffListe";

export function getHeizungswerte(
	energietraeger: string,
	energietraeger2: string,
	AN: number,
	verteilungww: string,
	warmwasser_speicherung: string,
	werzeugungww: string,
	heizung_zentral: boolean,
	verteilungh: string,
	spheizung: string,
	werzeugungh: string
) {
	let energietraegerfa = 1.1;
	let energietraegerfa2 = 1.1;
	let werzeugungwweaz = 1.31 - (0.08 / 350) * (AN - 150);
	let werzeugungwwhb = 0.2 - (0.1 / 350) * (AN - 150);
	let werzeugungheaz = 1.19 - (0.04 / 350) * (AN - 150);
	let werzeugunghhb = 0.8 - (0.4 / 350) * (AN - 150);

	if (
		energietraeger == "Heizöl" ||
		energietraeger == "Erdgas" ||
		energietraeger == "Flüssiggas" ||
		energietraeger == "Koks"
	) {
		energietraegerfa = 1.1;
	} else if (
		energietraeger == "Brennholz" ||
		energietraeger == "Holz-Pellets" ||
		energietraeger == "Holzhackschnitzel"
	) {
		energietraegerfa = 0.2;
	} else if (energietraeger == "Strommix") {
		energietraegerfa = 1.8;
	} else if (
		energietraeger == "Nahwärme KWK FB" ||
		energietraeger == "Fernwärme KWK FB"
	) {
		energietraegerfa = 0.7;
	} else if (
		energietraeger == "Nahwärme KWK EB" ||
		energietraeger == "Fernwärme KWK EB"
	) {
		energietraegerfa = 0;
	} else if (
		energietraeger == "Nahwärme HKW FB" ||
		energietraeger == "Fernwärme HKW FB"
	) {
		energietraegerfa = 1.3;
	} else if (
		energietraeger == "Nahwärme HKW EB" ||
		energietraeger == "Fernwärme HKW EB"
	) {
		energietraegerfa = 0.1;
	} else if (energietraeger == "Braunkohle") {
		energietraegerfa = 1.2;
	}

	if (
		energietraeger2 == "Heizöl" ||
		energietraeger2 == "Erdgas" ||
		energietraeger2 == "Flüssiggas" ||
		energietraeger2 == "Koks"
	) {
		energietraegerfa2 = 1.1;
	} else if (
		energietraeger2 == "Holz-Pellets" ||
		energietraeger2 == "Holzhackschnitzel" ||
		energietraeger2 == "Brennholz"
	) {
		energietraegerfa2 = 0.2;
	} else if (energietraeger2 == "Strommix") {
		energietraegerfa2 = 1.8;
	} else if (energietraeger2 == "Braunkohle") {
		energietraegerfa2 = 1.2;
	}

	let verteilungwwwv = 0;
	let verteilungwwhg = 0;
	let verteilungwwhb = 0;
	let warmwasser_speicherungwv = 0;
	let warmwasser_speicherunghg = 0;
	let warmwasser_speicherunghb = 0;

	let verteilunghwv = 0;
	let verteilunghhb = 0;

	let spheizungwv = 0;
	let spheizunghb = 0;

	let heizung_zentralwv = 0;

	if (AN <= 500) {
		if (verteilungww == "zvmzbis1978") {
			verteilungwwwv = 68.6 - (21.2 / 350) * (AN - 150);
			verteilungwwhg = 12.4 + (2.2 / 350) * (AN - 150);
			verteilungwwhb = 1.4 - (0.6 / 350) * (AN - 150);
		} else if (verteilungww == "zvmzngbis1978") {
			verteilungwwwv = 41.9 - (6.5 / 350) * (AN - 150);
			verteilungwwhg = 12.4 + (2.2 / 350) * (AN - 150);
			verteilungwwhb = 1.4 - (0.6 / 350) * (AN - 150);
		} else if (verteilungww == "zvmzvon1979bis1994") {
			verteilungwwwv = 27.3 - (4.7 / 350) * (AN - 150);
			verteilungwwhg = 8.2 + (1.1 / 350) * (AN - 150);
			verteilungwwhb = 1.4 - (0.6 / 350) * (AN - 150);
		} else if (verteilungww == "zvmzab1995") {
			verteilungwwwv = 11.6 - (4 / 350) * (AN - 150);
			verteilungwwhg = 1.7 + (0.2 / 350) * (AN - 150);
			verteilungwwhb = 0.8 - (0.5 / 350) * (AN - 150);
		} else if (verteilungww == "zvozbis1978") {
			verteilungwwwv = 17 - (6.6 / 350) * (AN - 150);
			verteilungwwhg = 3.5;
			verteilungwwhb = 0;
		} else if (verteilungww == "zvozngbis1978") {
			verteilungwwwv = 12.6 - (3.8 / 350) * (AN - 150);
			verteilungwwhg = 3.5;
			verteilungwwhb = 0;
		} else if (verteilungww == "zvozvon1979bis1994") {
			verteilungwwwv = 10.8 - (2.5 / 350) * (AN - 150);
			verteilungwwhg = 3.7;
			verteilungwwhb = 0;
		} else if (verteilungww == "zvozab1995") {
			verteilungwwwv = 5.4 - (2 / 350) * (AN - 150);
			verteilungwwhg = 1;
			verteilungwwhb = 0;
		} else if (verteilungww == "dzsbis1994") {
			verteilungwwwv = 3.8;
			verteilungwwhg = 2;
			verteilungwwhb = 0;
		} else if (verteilungww == "dzsab1995") {
			verteilungwwwv = 1.5;
			verteilungwwhg = 0.7;
			verteilungwwhb = 0;
		}
		if (warmwasser_speicherung == "zwwsath") {
			warmwasser_speicherungwv = 5.1 - (3.3 / 350) * (AN - 150);
			warmwasser_speicherunghg = 0;
			warmwasser_speicherunghb = 0.2;
		} else if (warmwasser_speicherung == "zwwsith") {
			warmwasser_speicherungwv = 4.2 - (2.8 / 350) * (AN - 150);
			warmwasser_speicherunghg = 2.2 - (1.4 / 350) * (AN - 150);
			warmwasser_speicherunghb = 0.2;
		} else if (warmwasser_speicherung == "gasbs") {
			warmwasser_speicherungwv = 18 - (6.1 / 350) * (AN - 150);
			warmwasser_speicherunghg = 0;
			warmwasser_speicherunghb = 0;
		} else if (warmwasser_speicherung == "elks") {
			warmwasser_speicherungwv = 1.5;
			warmwasser_speicherunghg = 0.8;
			warmwasser_speicherunghb = 0;
		}
		if (werzeugungww == "ktkesselbis1986") {
			werzeugungwweaz = 2.05 - (0.41 / 350) * (AN - 150);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "ktkesselvon1987bis1994") {
			werzeugungwweaz = 1.9 - (0.33 / 350) * (AN - 150);

			werzeugungwwhb = 0.2 - (0.1 / 350) * (AN - 150);
		} else if (werzeugungww == "ktkesselab1995") {
			werzeugungwweaz = 1.71 - (0.25 / 350) * (AN - 150);

			werzeugungwwhb = 0.2 - (0.1 / 350) * (AN - 150);
		} else if (werzeugungww == "ntkesselbis1986") {
			werzeugungwweaz = 1.3 - (0.07 / 350) * (AN - 150);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "ntkesselvon1987bis1994") {
			werzeugungwweaz = 1.31 - (0.08 / 350) * (AN - 150);

			werzeugungwwhb = 0.2 - (0.1 / 350) * (AN - 150);
		} else if (werzeugungww == "ntkesselab1995") {
			werzeugungwweaz = 1.19 - (0.04 / 350) * (AN - 150);

			werzeugungwwhb = 0.2 - (0.1 / 350) * (AN - 150);
		} else if (werzeugungww == "bwkesselbis1986") {
			werzeugungwweaz = 1.24 - (0.07 / 350) * (AN - 150);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "bwkesselvon1987bis1994") {
			werzeugungwweaz = 1.25 - (0.08 / 350) * (AN - 150);

			werzeugungwwhb = 0.2 - (0.1 / 350) * (AN - 150);
		} else if (werzeugungww == "bwkesselab1995") {
			werzeugungwweaz = 1.15 - (0.03 / 350) * (AN - 150);

			werzeugungwwhb = 0.2 - (0.1 / 350) * (AN - 150);
		} else if (werzeugungww == "bwkesselab1999") {
			werzeugungwweaz = 1.13 - (0.03 / 350) * (AN - 150);

			werzeugungwwhb = 0.2 - (0.1 / 350) * (AN - 150);
		} else if (werzeugungww == "ewplhvon1979bis1994") {
			werzeugungwweaz = 0.37;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "ewplhab1995") {
			werzeugungwweaz = 0.34;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "ewpemvon1979bis1994") {
			werzeugungwweaz = 0.32;

			werzeugungwwhb = 0.3;
		} else if (werzeugungww == "ewpemab1995") {
			werzeugungwweaz = 0.27;

			werzeugungwwhb = 0.3;
		} else if (werzeugungww == "ewpgmvon1979bis1994") {
			werzeugungwweaz = 0.26;

			werzeugungwwhb = 0.5 - (0.1 / 350) * (AN - 150);
		} else if (werzeugungww == "ewpgmab1995") {
			werzeugungwweaz = 0.23;

			werzeugungwwhb = 0.5 - (0.1 / 350) * (AN - 150);
		} else if (werzeugungww == "fwugs") {
			werzeugungwweaz = 1.14;

			werzeugungwwhb = 0.4;
		} else if (werzeugungww == "zes") {
			werzeugungwweaz = 1;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "gbs") {
			werzeugungwweaz = 1.22;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "thermebis1994") {
			werzeugungwweaz = 1.32;

			werzeugungwwhb = 0.2;
		} else if (werzeugungww == "thermeab1995") {
			werzeugungwweaz = 1.32;

			werzeugungwwhb = 0.2;
		} else if (werzeugungww == "bthermeab1995") {
			werzeugungwweaz = 1.28;

			werzeugungwwhb = 0.2;
		} else if (werzeugungww == "dezelks") {
			werzeugungwweaz = 1;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "dezeldh") {
			werzeugungwweaz = 1;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "dezgasdhbis1994") {
			werzeugungwweaz = 1.19;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "dezgasdhab1995") {
			werzeugungwweaz = 1.16;

			werzeugungwwhb = 0;
		}
		if (heizung_zentral) {
			heizung_zentralwv = 3.3;
		} else if (!heizung_zentral) {
			heizung_zentralwv = 0;
		}
		if (verteilungh == "zv7055bis1978") {
			verteilunghwv = 75.1 - (31.6 / 350) * (AN - 150);
			verteilunghhb = 2.3 - (1.3 / 350) * (AN - 150);
		} else if (verteilungh == "zv7055ngbis1978") {
			verteilunghwv = 40.9 - (12.7 / 350) * (AN - 150);
			verteilunghhb = 2.3 - (1.3 / 350) * (AN - 150);
		} else if (verteilungh == "zv7055von1979bis1994") {
			verteilunghwv = 20.2 - (6.4 / 350) * (AN - 150);
			verteilunghhb = 1.9 - (1.1 / 350) * (AN - 150);
		} else if (verteilungh == "zv7055ab1995") {
			verteilunghwv = 9.3 - (3.9 / 350) * (AN - 150);
			verteilunghhb = 1.6 - (0.9 / 350) * (AN - 150);
		} else if (verteilungh == "zv5545bis1978") {
			verteilunghwv = 57.4 - (24.5 / 350) * (AN - 150);
			verteilunghhb = 2.5 - (1.3 / 350) * (AN - 150);
		} else if (verteilungh == "zv5545ngbis1978") {
			verteilunghwv = 30.8 - (17.8 / 350) * (AN - 150);
			verteilunghhb = 2.5 - (1.3 / 350) * (AN - 150);
		} else if (verteilungh == "zv5545von1979bis1994") {
			verteilunghwv = 15.3 - (5 / 350) * (AN - 150);
			verteilunghhb = 2 - (1.1 / 350) * (AN - 150);
		} else if (verteilungh == "zv5545ab1995") {
			verteilunghwv = 9.3 - (5.4 / 350) * (AN - 150);
			verteilunghhb = 1.7 - (0.9 / 350) * (AN - 150);
		} else if (verteilungh == "wwvertbis1978") {
			verteilunghwv = 8.4;
			verteilunghhb = 3.41;
		} else if (verteilungh == "wwvertvon1979bis1994") {
			verteilunghwv = 5.4;
			verteilunghhb = 2.73;
		} else if (verteilungh == "wwvertab1995") {
			verteilunghwv = 1.3;
			verteilunghhb = 2.3;
		} else if (verteilungh == "dezensys") {
			verteilunghwv = 0;
			verteilunghhb = 0;
		}
		if (spheizung == "elzs7055bis1994") {
			spheizungwv = 3.2 - (1.9 / 350) * (AN - 150);
			spheizunghb = 0.5 - (0.3 / 350) * (AN - 150);
		} else if (spheizung == "elzs7055ab1995") {
			spheizungwv = 2.5 - (1.5 / 350) * (AN - 150);
			spheizunghb = 0.4 - (0.2 / 350) * (AN - 150);
		} else if (spheizung == "puffs5545bis1994") {
			spheizungwv = 2.5 - (1.5 / 350) * (AN - 150);
			spheizunghb = 0.5 - (0.3 / 350) * (AN - 150);
		} else if (spheizung == "puffs5545ab1995") {
			spheizungwv = 1.9 - (1.2 / 350) * (AN - 150);
			spheizunghb = 0.4 - (0.2 / 350) * (AN - 150);
		} else if (spheizung == "puffshk7055bis1994") {
			spheizungwv = 4.4 - (2.6 / 350) * (AN - 150);
			spheizunghb = 0.5 - (0.3 / 350) * (AN - 150);
		} else if (spheizung == "puffshk7055ab1995") {
			spheizungwv = 3.4 - (2 / 350) * (AN - 150);
			spheizunghb = 0.4 - (0.2 / 350) * (AN - 150);
		}
		if (werzeugungh == "ktkesselbis1986h") {
			werzeugungheaz = 1.47 - (0.11 / 350) * (AN - 150);
			werzeugunghhb = 1.2 - (0.7 / 350) * (AN - 150);
		} else if (werzeugungh == "ktkesselvon1987bis1994h") {
			werzeugungheaz = 1.34 - (0.08 / 350) * (AN - 150);
			werzeugunghhb = 0.8 - (0.4 / 350) * (AN - 150);
		} else if (werzeugungh == "ktkesselab1995h") {
			werzeugungheaz = 1.33 - (0.1 / 350) * (AN - 150);
			werzeugunghhb = 0.7 - (0.3 / 350) * (AN - 150);
		} else if (werzeugungh == "ntkesselbis1986h") {
			werzeugungheaz = 1.24 - (0.03 / 350) * (AN - 150);
			werzeugunghhb = 1.2 - (0.3 / 350) * (AN - 150);
		} else if (werzeugungh == "ntkesselvon1987bis1994h") {
			werzeugungheaz = 1.19 - (0.04 / 350) * (AN - 150);
			werzeugunghhb = 0.8 - (0.4 / 350) * (AN - 150);
		} else if (werzeugungh == "ntkesselab1995h") {
			werzeugungheaz = 1.14 - (0.03 / 350) * (AN - 150);
			werzeugunghhb = 0.7 - (0.3 / 350) * (AN - 150);
		} else if (werzeugungh == "bwkesselbis1986h") {
			werzeugungheaz = 1.11 - (0.02 / 350) * (AN - 150);
			werzeugunghhb = 1.2 - (0.7 / 350) * (AN - 150);
		} else if (werzeugungh == "bwkesselvon1987bis1994h") {
			werzeugungheaz = 1.09 - (0.03 / 350) * (AN - 150);
			werzeugunghhb = 0.8 - (0.4 / 350) * (AN - 150);
		} else if (werzeugungh == "bwkesselab1995h") {
			werzeugungheaz = 1.07 - (0.02 / 350) * (AN - 150);
			werzeugunghhb = 0.7 - (0.3 / 350) * (AN - 150);
		} else if (werzeugungh == "bwkesselab1999h") {
			werzeugungheaz = 0.99 - (0.01 / 350) * (AN - 150);
			werzeugunghhb = 0.7 - (0.3 / 350) * (AN - 150);
		} else if (werzeugungh == "fwugsh") {
			werzeugungheaz = 1.02;
			werzeugunghhb = 0;
		} else if (werzeugungh == "ewplhvon1979bis1994h") {
			werzeugungheaz = 0.41;
			werzeugunghhb = 0;
		} else if (werzeugungh == "ewplhab1995h") {
			werzeugungheaz = 0.39;
			werzeugunghhb = 0;
		} else if (werzeugungh == "ewpemvon1979bis1994h") {
			werzeugungheaz = 0.33;
			werzeugunghhb = 1.2 - (0.2 / 350) * (AN - 150);
		} else if (werzeugungh == "ewpemab1995h") {
			werzeugungheaz = 0.27;
			werzeugunghhb = 1.2 - (0.2 / 350) * (AN - 150);
		} else if (werzeugungh == "ewpgmvon1979bis1994h") {
			werzeugungheaz = 0.27;
			werzeugunghhb = 1.9 - (0.2 / 350) * (AN - 150);
		} else if (werzeugungh == "ewpgmab1995h") {
			werzeugungheaz = 0.23;
			werzeugunghhb = 1.9 - (0.2 / 350) * (AN - 150);
		} else if (werzeugungh == "zesh") {
			werzeugungheaz = 1.02;
			werzeugunghhb = 0;
		} else if (werzeugungh == "thermebis1994h") {
			werzeugungheaz = 1.24;
			werzeugunghhb = 1.2;
		} else if (werzeugungh == "thermeab1995h") {
			werzeugungheaz = 1.14;
			werzeugunghhb = 1.5;
		} else if (werzeugungh == "bthermeab1995h") {
			werzeugungheaz = 1.07;
			werzeugunghhb = 1.5;
		} else if (werzeugungh == "oeleinzel") {
			werzeugungheaz = 1.4;
			werzeugunghhb = 0;
		} else if (werzeugungh == "kheinzel") {
			werzeugungheaz = 1.6;
			werzeugunghhb = 0;
		} else if (werzeugungh == "greinzel") {
			werzeugungheaz = 1.47;
			werzeugunghhb = 0;
		} else if (werzeugungh == "elnseinzelbis1994") {
			werzeugungheaz = 1.12;
			werzeugunghhb = 0;
		} else if (werzeugungh == "elnseinzelab1995") {
			werzeugungheaz = 1.05;
			werzeugunghhb = 0;
		} else if (werzeugungh == "eldirekt") {
			werzeugungheaz = 1.02;
			werzeugunghhb = 0;
		}
	} else if (AN > 500 && AN <= 7000) {
		if (verteilungww == "zvmzbis1978") {
			verteilungwwwv = 47.4 - (8.5 / 2000) * (AN - 500);
			verteilungwwhg = 14.6 + (1.3 / 2000) * (AN - 500);
			verteilungwwhb = 0.8 - (0.2 / 2000) * (AN - 500);
		} else if (verteilungww == "zvmzngbis1978") {
			verteilungwwwv = 35.4 - (2.2 / 2000) * (AN - 500);
			verteilungwwhg = 14.6 + (1.3 / 2000) * (AN - 500);
			verteilungwwhb = 0.8 - (0.2 / 2000) * (AN - 500);
		} else if (verteilungww == "zvmzvon1979bis1994") {
			verteilungwwwv = 22.6 - (1.6 / 2000) * (AN - 500);
			verteilungwwhg = 9.3 + (0.6 / 2000) * (AN - 500);
			verteilungwwhb = 0.8 - (0.2 / 2000) * (AN - 500);
		} else if (verteilungww == "zvmzab1995") {
			verteilungwwwv = 7.6 - (1 / 2000) * (AN - 500);
			verteilungwwhg = 1.9 + (0.3 / 2000) * (AN - 500);
			verteilungwwhb = 0.3 - (0.2 / 2000) * (AN - 500);
		} else if (verteilungww == "zvozbis1978") {
			verteilungwwwv = 10.4 - (2.3 / 2000) * (AN - 500);
			verteilungwwhg = 3.5;
			verteilungwwhb = 0;
		} else if (verteilungww == "zvozngbis1978") {
			verteilungwwwv = 8.8 - (1.4 / 2000) * (AN - 500);
			verteilungwwhg = 3.5;
			verteilungwwhb = 0;
		} else if (verteilungww == "zvozvon1979bis1994") {
			verteilungwwwv = 8.3 - (0.8 / 2000) * (AN - 500);
			verteilungwwhg = 3.7;
			verteilungwwhb = 0;
		} else if (verteilungww == "zvozab1995") {
			verteilungwwwv = 3.4 - (0.6 / 2000) * (AN - 500);
			verteilungwwhg = 1;
			verteilungwwhb = 0;
		} else if (verteilungww == "dzsbis1994") {
			verteilungwwwv = 3.8;
			verteilungwwhg = 2;
			verteilungwwhb = 0;
		} else if (verteilungww == "dzsab1995") {
			verteilungwwwv = 1.5;
			verteilungwwhg = 0.7;
			verteilungwwhb = 0;
		}
		if (warmwasser_speicherung == "zwwsath") {
			warmwasser_speicherungwv = 1.8 - (1.3 / 2000) * (AN - 500);
			warmwasser_speicherunghg = 0;
			warmwasser_speicherunghb = 0.2;
		} else if (warmwasser_speicherung == "zwwsith") {
			warmwasser_speicherungwv = 1.4 - (1 / 2000) * (AN - 500);
			warmwasser_speicherunghg = 0.8 - (0.6 / 2000) * (AN - 500);
			warmwasser_speicherunghb = 0.2 + (0.1 / 2000) * (AN - 500);
		} else if (warmwasser_speicherung == "gasbs") {
			warmwasser_speicherungwv = 11.9;
			warmwasser_speicherunghg = 0;
			warmwasser_speicherunghb = 0;
		} else if (warmwasser_speicherung == "elks") {
			warmwasser_speicherungwv = 1.5;
			warmwasser_speicherunghg = 0.8;
			warmwasser_speicherunghb = 0;
		}
		if (werzeugungww == "ktkesselbis1986") {
			werzeugungwweaz = 1.64 - (0.31 / 2000) * (AN - 500);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "ktkesselvon1987bis1994") {
			werzeugungwweaz = 1.57 - (0.26 / 2000) * (AN - 500);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "ktkesselab1995") {
			werzeugungwweaz = 1.46 - (0.2 / 2000) * (AN - 500);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "ntkesselbis1986") {
			werzeugungwweaz = 1.23 - (0.05 / 2000) * (AN - 500);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "ntkesselvon1987bis1994") {
			werzeugungwweaz = 1.23 - (0.06 / 2000) * (AN - 500);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "ntkesselab1995") {
			werzeugungwweaz = 1.15 - (0.03 / 2000) * (AN - 500);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "bwkesselbis1986") {
			werzeugungwweaz = 1.17 - (0.04 / 2000) * (AN - 500);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "bwkesselvon1987bis1994") {
			werzeugungwweaz = 1.17 - (0.05 / 2000) * (AN - 500);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "bwkesselab1995") {
			werzeugungwweaz = 1.12 - (0.03 / 2000) * (AN - 500);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "bwkesselab1999") {
			werzeugungwweaz = 1.1 - (0.03 / 2000) * (AN - 500);

			werzeugungwwhb = 0.1;
		} else if (werzeugungww == "ewplhvon1979bis1994") {
			werzeugungwweaz = 0.37;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "ewplhab1995") {
			werzeugungwweaz = 0.34;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "ewpemvon1979bis1994") {
			werzeugungwweaz = 0.32;

			werzeugungwwhb = 0.3 - (0.1 / 2000) * (AN - 500);
		} else if (werzeugungww == "ewpemab1995") {
			werzeugungwweaz = 0.27;

			werzeugungwwhb = 0.3 - (0.1 / 2000) * (AN - 500);
		} else if (werzeugungww == "ewpgmvon1979bis1994") {
			werzeugungwweaz = 0.26;

			werzeugungwwhb = 0.4;
		} else if (werzeugungww == "ewpgmab1995") {
			werzeugungwweaz = 0.23;

			werzeugungwwhb = 0.4;
		} else if (werzeugungww == "fwugs") {
			werzeugungwweaz = 1.14;

			werzeugungwwhb = 0.4;
		} else if (werzeugungww == "zes") {
			werzeugungwweaz = 1;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "gbs") {
			werzeugungwweaz = 1.22;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "thermebis1994") {
			werzeugungwweaz = 1.32;

			werzeugungwwhb = 0.2;
		} else if (werzeugungww == "thermeab1995") {
			werzeugungwweaz = 1.32;

			werzeugungwwhb = 0.2;
		} else if (werzeugungww == "bthermeab1995") {
			werzeugungwweaz = 1.28;

			werzeugungwwhb = 0.2;
		} else if (werzeugungww == "dezelks") {
			werzeugungwweaz = 1;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "dezeldh") {
			werzeugungwweaz = 1;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "dezgasdhbis1994") {
			werzeugungwweaz = 1.19;

			werzeugungwwhb = 0;
		} else if (werzeugungww == "dezgasdhab1995") {
			werzeugungwweaz = 1.16;

			werzeugungwwhb = 0;
		}
		if (heizung_zentral) {
			heizung_zentralwv = 3.3;
		} else if (!heizung_zentral) {
			heizung_zentralwv = 0;
		}
		if (verteilungh == "zv7055bis1978") {
			verteilunghwv = 43.5 - (10.8 / 2000) * (AN - 500);
			verteilunghhb = 1 - (0.5 / 2000) * (AN - 500);
		} else if (verteilungh == "zv7055ngbis1978") {
			verteilunghwv = 28.2 - (4.3 / 2000) * (AN - 500);
			verteilunghhb = 1 - (0.5 / 2000) * (AN - 500);
		} else if (verteilungh == "zv7055von1979bis1994") {
			verteilunghwv = 13.8 - (2.2 / 2000) * (AN - 500);
			verteilunghhb = 0.8 - (0.4 / 2000) * (AN - 500);
		} else if (verteilungh == "zv7055ab1995") {
			verteilunghwv = 5.4 - (1.3 / 2000) * (AN - 500);
			verteilunghhb = 0.7 - (0.4 / 2000) * (AN - 500);
		} else if (verteilungh == "zv5545bis1978") {
			verteilunghwv = 32.9 - (8.5 / 2000) * (AN - 500);
			verteilunghhb = 1.2 - (0.5 / 2000) * (AN - 500);
		} else if (verteilungh == "zv5545ngbis1978") {
			verteilunghwv = 21 - (3.4 / 2000) * (AN - 500);
			verteilunghhb = 1.2 - (0.5 / 2000) * (AN - 500);
		} else if (verteilungh == "zv5545von1979bis1994") {
			verteilunghwv = 10.3 - (1.8 / 2000) * (AN - 500);
			verteilunghhb = 0.9 - (0.4 / 2000) * (AN - 500);
		} else if (verteilungh == "zv5545ab1995") {
			verteilunghwv = 3.9 - (1 / 2000) * (AN - 500);
			verteilunghhb = 0.8 - (0.3 / 2000) * (AN - 500);
		} else if (verteilungh == "wwvertbis1978") {
			verteilunghwv = 8.4;
			verteilunghhb = 3.41;
		} else if (verteilungh == "wwvertvon1979bis1994") {
			verteilunghwv = 5.4;
			verteilunghhb = 2.73;
		} else if (verteilungh == "wwvertab1995") {
			verteilunghwv = 1.3;
			verteilunghhb = 2.3;
		} else if (verteilungh == "dezensys") {
			verteilunghwv = 0;
			verteilunghhb = 0;
		}
		if (spheizung == "elzs7055bis1994") {
			spheizungwv = 1.3 - (0.9 / 2000) * (AN - 500);
			spheizunghb = 0.2 - (0.1 / 2000) * (AN - 500);
		} else if (spheizung == "elzs7055ab1995") {
			spheizungwv = 1 - (0.7 / 2000) * (AN - 500);
			spheizunghb = 0.2 - (0.1 / 2000) * (AN - 500);
		} else if (spheizung == "puffs5545bis1994") {
			spheizungwv = 1 - (0.7 / 2000) * (AN - 500);
			spheizunghb = 0.2 - (0.1 / 2000) * (AN - 500);
		} else if (spheizung == "puffs5545ab1995") {
			spheizungwv = 0.7 - (0.5 / 2000) * (AN - 500);
			spheizunghb = 0.2 - (0.1 / 2000) * (AN - 500);
		} else if (spheizung == "puffshk7055bis1994") {
			spheizungwv = 1.8 - (0.7 / 2000) * (AN - 500);
			spheizunghb = 0.2 - (0.1 / 2000) * (AN - 500);
		} else if (spheizung == "puffshk7055ab1995") {
			spheizungwv = 1.4 - (0.6 / 2000) * (AN - 500);
			spheizunghb = 0.2 - (0.1 / 2000) * (AN - 500);
		}
		if (werzeugungh == "ktkesselbis1986h") {
			werzeugungheaz = 1.36 - (0.08 / 2000) * (AN - 500);
			werzeugunghhb = 0.5 - (0.3 / 2000) * (AN - 500);
		} else if (werzeugungh == "ktkesselvon1987bis1994h") {
			werzeugungheaz = 1.26 - (0.07 / 2000) * (AN - 500);
			werzeugunghhb = 0.4 - (0.2 / 2000) * (AN - 500);
		} else if (werzeugungh == "ktkesselab1995h") {
			werzeugungheaz = 1.23 - (0.07 / 2000) * (AN - 500);
			werzeugunghhb = 0.4 - (0.2 / 2000) * (AN - 500);
		} else if (werzeugungh == "ntkesselbis1986h") {
			werzeugungheaz = 1.21 - (0.03 / 2000) * (AN - 500);
			werzeugunghhb = 0.5 - (0.3 / 2000) * (AN - 500);
		} else if (werzeugungh == "ntkesselvon1987bis1994h") {
			werzeugungheaz = 1.15 - (0.02 / 2000) * (AN - 500);
			werzeugunghhb = 0.4 - (0.2 / 2000) * (AN - 500);
		} else if (werzeugungh == "ntkesselab1995h") {
			werzeugungheaz = 1.11 - (0.02 / 2000) * (AN - 500);
			werzeugunghhb = 0.4 - (0.2 / 2000) * (AN - 500);
		} else if (werzeugungh == "bwkesselbis1986h") {
			werzeugungheaz = 1.09 - (0.02 / 2000) * (AN - 500);
			werzeugunghhb = 0.5 - (0.3 / 2000) * (AN - 500);
		} else if (werzeugungh == "bwkesselvon1987bis1994h") {
			werzeugungheaz = 1.06 - (0.02 / 2000) * (AN - 500);
			werzeugunghhb = 0.4 - (0.2 / 2000) * (AN - 500);
		} else if (werzeugungh == "bwkesselab1995h") {
			werzeugungheaz = 1.05 - (0.01 / 2000) * (AN - 500);
			werzeugunghhb = 0.4 - (0.2 / 2000) * (AN - 500);
		} else if (werzeugungh == "bwkesselab1999h") {
			werzeugungheaz = 0.98 - (0.01 / 2000) * (AN - 500);
			werzeugunghhb = 0.4 - (0.2 / 2000) * (AN - 500);
		} else if (werzeugungh == "fwugsh") {
			werzeugungheaz = 1.02;
			werzeugunghhb = 0;
		} else if (werzeugungh == "ewplhvon1979bis1994h") {
			werzeugungheaz = 0.41;
			werzeugunghhb = 0;
		} else if (werzeugungh == "ewplhab1995h") {
			werzeugungheaz = 0.39;
			werzeugunghhb = 0;
		} else if (werzeugungh == "ewpemvon1979bis1994h") {
			werzeugungheaz = 0.33;
			werzeugunghhb = 1 - (0.1 / 2000) * (AN - 500);
		} else if (werzeugungh == "ewpemab1995h") {
			werzeugungheaz = 0.27;
			werzeugunghhb = 1 - (0.1 / 2000) * (AN - 500);
		} else if (werzeugungh == "ewpgmvon1979bis1994h") {
			werzeugungheaz = 0.27;
			werzeugunghhb = 1.7 - (0.2 / 2000) * (AN - 500);
		} else if (werzeugungh == "ewpgmab1995h") {
			werzeugungheaz = 0.23;
			werzeugunghhb = 1.7 - (0.2 / 2000) * (AN - 500);
		} else if (werzeugungh == "zesh") {
			werzeugungheaz = 1.02;
			werzeugunghhb = 0;
		} else if (werzeugungh == "thermebis1994h") {
			werzeugungheaz = 1.24;
			werzeugunghhb = 1.2;
		} else if (werzeugungh == "thermeab1995h") {
			werzeugungheaz = 1.14;
			werzeugunghhb = 1.5;
		} else if (werzeugungh == "bthermeab1995h") {
			werzeugungheaz = 1.07;
			werzeugunghhb = 1.5;
		} else if (werzeugungh == "oeleinzel") {
			werzeugungheaz = 1.4;
			werzeugunghhb = 0;
		} else if (werzeugungh == "kheinzel") {
			werzeugungheaz = 1.6;
			werzeugunghhb = 0;
		} else if (werzeugungh == "greinzel") {
			werzeugungheaz = 1.47;
			werzeugunghhb = 0;
		} else if (werzeugungh == "elnseinzelbis1994") {
			werzeugungheaz = 1.12;
			werzeugunghhb = 0;
		} else if (werzeugungh == "elnseinzelab1995") {
			werzeugungheaz = 1.05;
			werzeugunghhb = 0;
		} else if (werzeugungh == "eldirekt") {
			werzeugungheaz = 1.02;
			werzeugunghhb = 0;
		}
	}

	let result = fuelList.find(
		(value) =>
			value[0] == energietraeger && value[1] == "kWh"
	);

	let coe = 0;
	if (result) {
		coe = result[4]
	}
	
	return [
		heizung_zentralwv,
		verteilunghwv,
		spheizungwv,
		werzeugungheaz,
		verteilungwwwv,
		verteilungwwhg,
		warmwasser_speicherungwv,
		warmwasser_speicherunghg,
		werzeugungwweaz,
		verteilunghhb,
		spheizunghb,
		werzeugunghhb,
		verteilungwwhb,
		warmwasser_speicherunghb,
		werzeugungwwhb,
		energietraegerfa,
		energietraegerfa2,
		coe,
	];
}
